#import <Foundation/Foundation.h>
#import "GHDelegate.h"

@class GHOrganization;
@class GHRepository;

/**
 * Notifications of events related to fetching subresources of a Github organization.
 */
@protocol GHOrganizationDelegate <GHDelegate>
- (void)organization:(GHOrganization *)organization didFindRepository:(GHRepository *)repository;
@end
