#import "GithubTests.h"
#import "GHTreeLeaf.h"

@interface GHTreeLeafTests : GithubTests {
  GHTreeLeaf *leaf;
}

/** mode tests */

/**
 * Should have a mode attribute that is an NSString.
 */
- (void)testMode_NSString;

/**
 * Should not allow setting the mode.
 */
- (void)testSetMode_NoMethod;

/** path tests */

/**
 * Should have a path attribute that is an NSString.
 */
- (void)testPath_NSString;

/**
 * Should not allow setting the path.
 */
- (void)testSetPath_NoMethod;

/** sha tests */

/**
 * Should have a sha attribute that is an NSString.
 */
- (void)testSha_NSString;

/**
 * Should not allow setting the sha.
 */
- (void)testSetSha_NoMethod;

/** size tests */

/**
 * Should have a size attribute that is an NSUInteger.
 */
- (void)testSize_NSUInteger;

/**
 * Should not allow setting the size.
 */
- (void)testSetSize_NoMethod;

@end
